package demo;

import java.util.Arrays;

public class LottoDraw
{
	//Constants used in row-creation (also used in the Row-class)
	final static int MAX_LOTTO = 36;
	final static int MAX_WEDNESDAY_LOTTO = 48;
	final static int LOTTO_ROW = 7;
	final static int WEDNESDAY_LOTTO_ROW = 6;
	
	private int[] numbers;

	private int[] winner;
	private int[] extraNumbers = new int[2];

	public void draw(boolean onsdag){
		if(onsdag){
			numbers=new int[MAX_WEDNESDAY_LOTTO];
			winner=new int[WEDNESDAY_LOTTO_ROW];
		}
		else
		{
			numbers=new int[MAX_LOTTO];
			winner=new int[LOTTO_ROW];
		}
		for (int i=0;i<numbers.length;i++)
			numbers[i]=i+1;
		
		
		ArrayUtils.shuffle(numbers);
		for (int i = 0; i < winner.length; i++)
			winner[i] = numbers[i];
		for (int i = 0; i < extraNumbers.length; i++)
			extraNumbers[i] = numbers[i+7];
		
		Arrays.sort(winner);
		Arrays.sort(extraNumbers);

	}

	public int[] getWinnerNumbers()
	{
		return winner;
	}

	public int[] getExtraNumbers()
	{
		return extraNumbers;
	}

	public String toString(){
		StringBuilder sb=new StringBuilder();
		sb.append("Winning numbers:[ ");
		for (int i:winner)
			sb.append(i+" ");
		sb.append("]  Extra numbers:[ ");
		for (int i:extraNumbers)
			sb.append(i+" ");
		sb.append("]");
		return sb.toString();
	}

}
