package demo;

import java.util.ArrayList;
import java.util.Arrays;

import java.util.Collections;

public class Row
{

	private int[] lottoRow;
	private int[] numbers;

	public Row(boolean wednesday)
	{
		int limit;
		if (wednesday)
		{
			numbers = new int[LottoDraw.MAX_WEDNESDAY_LOTTO];
			limit = LottoDraw.WEDNESDAY_LOTTO_ROW;
		} else
		{
			numbers = new int[LottoDraw.MAX_LOTTO];
			limit = LottoDraw.LOTTO_ROW;
		}
		// fill in the numbers - if not allready done!
		for (int i = 0; i < numbers.length; i++)
			numbers[i] = i + 1;

		// fill the row
		lottoRow = new int[limit];
		ArrayUtils.shuffle(numbers);

		for (int i = 0; i < limit; i++)
		{
			lottoRow[i] = numbers[i];
		}
		// sort the row
		Arrays.sort(lottoRow);

	}

	public int[] getLottoRow()
	{
		return lottoRow;
	}

	public String toString()
	{
		StringBuilder sb = new StringBuilder();
		for (int i : lottoRow)
			sb.append(((i < 10) ? " " : "") + i + " ");
		return sb.toString();
	}

}
